package kr.co.uplus.ez.api.sendNumMgt.dto;

import java.io.Serializable;

import kr.co.uplus.ez.common.data.ApiResponseCode;
import kr.co.uplus.ez.common.data.ResponseMessage;
import lombok.Data;

@SuppressWarnings("serial")
@Data
public class DetailNumberResDto extends ResponseMessage implements Serializable{
	// 데이터.
		private DetailNumber data;

		public DetailNumberResDto() {
			this.retCode = ApiResponseCode.SUCCESS.getResultCode();
			this.retMsg = ApiResponseCode.SUCCESS.getResultMsg();
		}

		public DetailNumberResDto(ApiResponseCode returnStr) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
		}

		public DetailNumberResDto(ApiResponseCode returnStr, DetailNumber data) {
			this.retCode = returnStr.getResultCode();
			this.retMsg = returnStr.getResultMsg();
			this.data = data;
		}
}
